## ros-kinetic-tra1-description 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tra1_description)

find_package(catkin REQUIRED COMPONENTS xacro)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(DIRECTORY launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(status "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
endif()

#############
## Release ##
#############

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)
# debbuild
# catkin build minas_control --make-args debbuild
# ROS_PARALLEL_JOBS='' catkin_make --pkg minas_control -- debbuild
add_custom_target(debbuild_${PROJECT_NAME}
  COMMAND sudo -n true || (>&2 echo "debbuild need sudo access to make debs" && exit 1)
  COMMAND bloom-generate rosdebian --os-name ubuntu --os-version trusty --ros-distro indigo
  COMMAND MAKEFLAGS= fakeroot debian/rules binary
  COMMAND rm -fr debian obj-x86_64-linux-gnu
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  )

=== debian/changelog ===
ros-kinetic-tra1-description (1.0.10-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 27 Apr 2018 15:00:00 -0000

ros-kinetic-tra1-description (1.0.9-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 01 Mar 2018 15:00:00 -0000

ros-kinetic-tra1-description (1.0.8-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 27 Nov 2017 15:00:00 -0000

ros-kinetic-tra1-description (1.0.6-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 11 Sep 2017 15:00:00 -0000

ros-kinetic-tra1-description (1.0.5-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 11 Sep 2017 15:00:00 -0000

ros-kinetic-tra1-description (1.0.4-0xenial) xenial; urgency=high

  * set license as GPLv2/CC-BY-SA,add LICENSE for meshes (#55 <https://github.com/tork-a/minas/issues/55>)
    * set license as GPLv2/CC-BY-SA,add LICENSE for meshes
    * cleanup code
    * fix wrong license data, add LICENSE information to xacro files
    * cleanup package.xml
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 10 Sep 2017 15:00:00 -0000

ros-kinetic-tra1-description (1.0.3-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 03 Aug 2017 15:00:00 -0000

ros-kinetic-tra1-description (1.0.2-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 11 May 2017 15:00:00 -0000

ros-kinetic-tra1-description (1.0.1-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 11 May 2017 15:00:00 -0000

ros-kinetic-tra1-description (1.0.0-0xenial) xenial; urgency=high

  * add test codes (`#39 <https://github.com/tork-a/minas/pull/39`_)
    * tra1_description/package.xml: add more run_depends
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 21 Apr 2017 15:00:00 -0000

ros-kinetic-tra1-description (0.5.2-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 31 Mar 2017 15:00:00 -0000

ros-kinetic-tra1-description (0.5.1-0xenial) xenial; urgency=high

  * Reduce meshes size using meshlab
  * Contributors: Tokyo Opensource Robotics Developer 7675

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 25 Mar 2017 15:00:00 -0000

ros-kinetic-tra1-description (0.5.0-0xenial) xenial; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 05 Mar 2017 15:00:00 -0000

ros-kinetic-tra1-description (0.4.0-0xenial) xenial; urgency=high

  * add CHANGELOG for tra1_ packages
  * update CMakeLists.txt : add Relaease
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 05 Mar 2017 15:00:00 -0000

ros-kinetic-tra1-description (0.3.0-0xenial) xenial; urgency=high

  * add limit tag, change joint type from continuous to revolute (#3 <https://github.com/tork-a/minas/issues/3>)
  * remove world link from urdf (and others)
  * Add README.md
  * Add tra1_description package
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 05 Mar 2017 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-tra1-description
Section: misc
Priority: extra
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-rostest, ros-kinetic-xacro
Homepage: http://ros.org/wiki/tra1_description
Standards-Version: 3.9.2

Package: ros-kinetic-tra1-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-joint-state-publisher, ros-kinetic-robot-state-publisher, ros-kinetic-rviz, ros-kinetic-tf, ros-kinetic-xacro
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the TRA1 robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-tra1-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
